<?php
include("../header_subnivel1.php");
date_default_timezone_set('America/Mexico_City');

$accesoMei = false;
$whiteList  = array('EMACHADO','SISTEMAS','CSAMAYOA','HGUILLEN','JESCALANTE','CCARDENAS');	
	
	foreach ($whiteList as $user_){
		if($_SESSION['user'] == $user_ ){
			$accesoMei = true;
		break;
		}
	}
	
	
if(!$accesoMei){
	echo "No tiene permisos para acceder a este módulo. Póngase en contacto con el administrador del sistema";
}else{
	
	function impo_con() {
		
 $dbcnx = mysqli_connect("intralogs-staging.com:3306", "intralog_manila", "O7I=)O%IwT]o","intralog_impo") or die ("no se conecto a intralog_impo") ;//"sFTo3DmEC965vw"34.68.7.24
 return $dbcnx; 
	}

	function get_bills($booking_data){

		$link=impo_con();
		
		$bills_qry = " SELECT archivo_pdf, archivo_xml FROM facturasint_veracruz WHERE bl_factura = '".$booking_data."' and serie_facturas = 'B'";
		$result = mysqli_query($link,$bills_qry);
		$bills = mysqli_fetch_assoc($result);

		/*
		echo '<pre>';
			print_r($bills);
		echo '</pre>';
		*/

		if (mysqli_num_rows($result) < 1) {
			return 0;
		}else{
			return $bills;
		}
		
		mysqli_close($link);
	}
	
	function getAA($registrado_por){
		$link=impo_con();
		
		$get_aa_qry = "SELECT 
			A.nombre_empresa 
			FROM agentes_aduanales A 
			INNER JOIN contactos_agentes_aduanales C
			on A.patente = C.patente and A.id=C.idaa and C.email_contacto LIKE '%".$registrado_por."%' ";
		
		$result = mysqli_query($link,$get_aa_qry);
		$set_aa = mysqli_fetch_assoc($result);


		if (mysqli_num_rows($result) < 1) {
			return '';
		}else{
			return $set_aa['nombre_empresa'];
		}
		
		mysqli_close($link);
	}

	$link_impo = impo_con();
	mysqli_query($link_impo,"INSERT INTO accesos (`fecha`, `hora`, `usuario`, `ip`, `script`, `tipo`,critico) Values ('" . date("Y-m-d") . "','" . date("H:i:s") . "','" . strtoupper($_SESSION[user]) . "','" . getRealIP() . "','REPORTE MEI','EXPORTACION MANZANILLO',1)");
	mysqli_close($link_impo);

	$link = con_ver();


	$post_values = array();
	$where = '';
	$limit = 'limit 50' ;
	$count = 0;
	foreach( $_POST as $key => $val){
		$value = trim($val);
		$post_values[$key] = $value;
		$and = $count == 0 ? ' WHERE ': ' and ';
		
		if($value == 'Buscar' || $value == '' ){
			$where .= '';
		}else{
			if( $key != 'cant_registros' ){
				if( ( substr($key,-6) == '_desde' ) || ( substr($key,-6) == '_hasta' )  ){
					if($key == 'fechaRegistro_desde' || $key == 'fecha_revision_desde' ){
						$where .= $and.'h.'.substr($key,0,-6) ." >= '".$value." 00:00:00' ";	
					}
					if($key == 'fechaRegistro_hasta' || $key == 'fecha_revision_hasta' ){
						$where .= $and.'h.'. substr($key,0,-6) ." <= '".$value." 00:00:00' ";
					}
			
				}else{
					$where .= $and. $key ." = '".$value."' ";
				}	
				$count++;
			}else{
				if($val != ''){
					$limit = 'limit '. $value ;
				}
			}
		}
	}
	extract($post_values);


 
	//$shippers = "SELECT distinct shipper FROM hblexpint order by shipper" ;
	//$shippers_list = mysqli_query($shippers);

	?>	


	<style type="text/css">
		ul.dropdown{
			margin-top:50px;
		}

		.botonExcel{
			cursor:pointer;
			text-decoration:underline;
			color:#00AF4B;
		}
		.link{
			cursor:pointer;
			text-decoration:underline;
			color:#00AF4B;
		}
		.table-form{
			width:563px;
			line-height:22px;
		}
		.table-form tr td{
			width:342px;
		}
		
		.table-form tr td:nth-of-type(odd){
			width:209px;
		}
		.frog4{
			border-collapse: collapse;
			font-size: 14px;
		}
		
		.frog4 th, .frog4 td{
			font-size: 12px;
		}
		
		.frog4 tr:hover{
			background: #c0c0c0;
			cursor: pointer;
		}
		
		.frog4 th{
			color: #fff;
			background: #339966;
		}
	</style>

	<link href = "https://code.jquery.com/ui/1.10.4/themes/ui-lightness/jquery-ui.css" rel = "stylesheet">
	<script src = "https://code.jquery.com/jquery-1.10.2.js"></script>
	<script src = "https://code.jquery.com/ui/1.10.4/jquery-ui.js"></script>

		  <?php 
		  /*$shippers = '';
			while ($shipper_opt = mysqli_fetch_assoc($shippers_list) ){								
				$shippers .= '"'. $shipper_opt['shipper']. '",';
			}*/
		  ?>
		 
		  <!-- Javascript -->
	<script language="javascript">

		 $(function() {
			var availableTutorials = [
			   <?php echo $shippers; ?>
			];
			$( "#shipper" ).autocomplete({
			   source: availableTutorials,
			   autoFocus:true
			});
		 });

		$(document).ready(function () {
			$(".botonExcel").click(function (event) {
				$("#datos_a_enviar").val($("<div>").append($("#exportar").eq(0).clone()).html());
				$("#FormularioExportacion").submit();
			});
		});

	</script>   

	<div align="justify" style="line-height:18px;  position:absolute;width: 100%;">
		&nbsp;<span style="color:#00AF4B">Dashboard ESI &raquo;</span><br />
	</div><br />
	<div class="row">
		<div class="container">

			<form class="form-horizontal" name="form1" id="form1" method="post" action="reporte_esi.php" >

				<table class="table-form" >
					<tr>
						<td>Agente Aduanal</td>
						<td>
							<input type="text" class="aa"  name="shipper" value="<?php echo $shipper ;?>" id="shipper" size="40" >
							<!--select name="shipper" value="<?php echo $shipper ;?>" id="shipper"  style="width:314px">
								<option></option>
								<?php 
									while ($shipper_opt = mysqli_fetch_assoc($shippers_list) ){	
										$selected = $shipper_opt['shipper'] == $shipper ? 'selected' : '';								
										echo $shipper_opt['shipper'] == ''? '' : '<option value="'.$shipper_opt['shipper'].'" '.$selected.' >'.$shipper_opt['shipper'].'</option>';
									}
								?>
							</select-->
						</td>
					</tr>
					<tr>
						<td>Fecha Registro</td>
						<td>
							<input type="text" class="aa" name="fechaRegistro_desde" id="fechaRegistro_desde" size="17" value="<?php echo $fechaRegistro_desde ;?>"  onclick="displayCalendar(document.getElementById('fechaRegistro_desde'), 'yyyy-mm-dd', this)" ondblclick="this.value = ''"  /> - 
							<input type="text" class="aa" name="fechaRegistro_hasta" id="fechaRegistro_hasta" size="17" value="<?php echo $fechaRegistro_hasta ;?>"  onclick="displayCalendar(document.getElementById('fechaRegistro_hasta'), 'yyyy-mm-dd', this)" ondblclick="this.value = ''"  />
						</td>
					</tr>
					<tr>
						<td>Fecha Revisión</td>
						<td>
							<input type="text" class="aa" name="fecha_revision_desde" id="fecha_revision_desde" size="17" value="<?php echo $fecha_revision_desde ;?>"  onclick="displayCalendar(document.getElementById('fecha_revision_desde'), 'yyyy-mm-dd', this)" ondblclick="this.value = ''"  /> - 
							<input type="text" class="aa" name="fecha_revision_hasta" id="fecha_revision_hasta" size="17" value="<?php echo $fecha_revision_hasta ;?>"  onclick="displayCalendar(document.getElementById('fecha_revision_hasta'), 'yyyy-mm-dd', this)" ondblclick="this.value = ''"  />
						</td>
					</tr>
					<tr>
						<td>Cliente</td>
						<td>
                        <select name="cliente">
                        <option value="" <?=$cliente=='' ? ' selected = "selected" ' : ''?>></option>
                        <? $q1=mysqli_query($link,"select * from clientes_esi order by abreviatura");
						while($rq1=mysqli_fetch_array($q1)){
						?>	
                        <option value="<?=$rq1[abreviatura]?>" <?=$cliente==$rq1[abreviatura] ? ' selected = "selected" ' : ''?>><?=$rq1[abreviatura]?></option>
                        <? } ?>
                        </select>    
                        </td>
					</tr>
					<tr>
						<td>Referencia Puerto</td>
						<td><input type="text" class="aa" name="referencia_puerto" id="referencia_puerto" size="40" value="<?php echo $referencia_puerto ;?>"   /></td>
					</tr>
					<tr>
						<td>Booking</td>
						<td><input type="text" class="aa" name="booking" id="booking" size="40" value="<?php echo $booking ;?>"   /></td>
					</tr>
					<tr>
						<td>Referencia Cliente</td>
						<td><input type="text" class="aa" name="referencia_cliente" id="referencia_cliente" size="40" value="<?php echo $referencia_cliente ;?>"   /></td>
					</tr>
					<tr>
					  <td>Cantidad de registros</td>
					  <td><input type="number" class="aa" name="cant_registros" id="cant_registros" size="40" value="<?php echo $cant_registros =='' ? 50 : $cant_registros; ?>"   /></td>
					</tr>

					<tr>
						<td colspan="2"><input type="submit" id="submit" name="submit" value="Buscar"/>&nbsp;
						</td>
					</tr>

				</table>

			</form>
		</div>
	</div>

	<?php
 
	if( sizeof($_POST) > 0) {
	 
		if($_POST[referencia_puerto]=='' or $_POST[referencia_cliente]==''){
		$qry = "SELECT h.referencia as referencia_cli,h.booking, h.idhbl, h.referencia referencia_cliente, h.consignee , h.fechaRegistro, h.revision, h.fecha_revision, h.registrado_por, h.shipper agente_aduanal, h.usuario_autorizo, h.fecha_usuario_autorizo, h.historial_autorizacion, dce.markandnos, h.comentarios, h.status
					from hblexpint h
					INNER JOIN  detailcargaexpint dce on h.idhbl = dce.id_bl WHERE
					h.comentarios like '**ESI ON%' AND 1 = 1 ".
					(($_POST[fechaRegistro_desde]!='' and $_POST[fechaRegistro_hasta]!='') ? " AND cast(h.fechaRegistro as date) between
					'".$_POST[fechaRegistro_desde]."' AND '".$_POST[fechaRegistro_hasta]."'  " : "").
					(($_POST[fecha_revision_desde]!='' and $_POST[fecha_revision_hasta]!='') ? " AND cast(h.fecha_revision as date) between
					'".$_POST[fecha_revision_desde]."' AND '".$_POST[fecha_revision_hasta]."'  " : "").					
					($_POST[cliente]!='' ? " AND h.shipper like '".$_POST[cliente]."%'  " : "").	
					($_POST[booking]!='' ? " AND h.booking like '%".$_POST[booking]."%'  " : "").	
					" order by h.fechaRegistro desc " . $limit;	
			
		}else{
		$qry = "SELECT h.referencia as referencia_cli,h.booking, h.idhbl, db.referencia_lpv referencia_puerto, h.referencia referencia_cliente, h.consignee , h.fechaRegistro, h.revision, h.fecha_revision, h.registrado_por, h.shipper agente_aduanal, h.usuario_autorizo, h.fecha_usuario_autorizo, h.historial_autorizacion, dce.markandnos, h.comentarios, h.status
					from hblexpint h
					INNER JOIN datosbooking db on h.referencia = db.referencia_cliente 
					INNER JOIN  detailcargaexpint dce on h.idhbl = dce.id_bl WHERE
					h.comentarios like '**ESI ON%' AND 1 = 1 ".
					(($_POST[fechaRegistro_desde]!='' and $_POST[fechaRegistro_hasta]!='') ? " AND cast(h.fechaRegistro as date) between
					'".$_POST[fechaRegistro_desde]."' AND '".$_POST[fechaRegistro_hasta]."'  " : "").
					(($_POST[fecha_revision_desde]!='' and $_POST[fecha_revision_hasta]!='') ? " AND cast(h.fecha_revision as date) between
					'".$_POST[fecha_revision_desde]."' AND '".$_POST[fecha_revision_hasta]."'  " : "").					
					($_POST[cliente]!='' ? " AND h.shipper like '".$_POST[cliente]."%'  " : "").	
					($_POST[referencia_puerto]!='' ? " AND db.referencia_lpv like '%".$_POST[referencia_puerto]."%'  " : "").	
					($_POST[referencia_cliente]!='' ? " AND db.referencia_cliente like '%".$_POST[referencia_cliente]."%'  " : "").	
					($_POST[booking]!='' ? " AND h.booking like '%".$_POST[booking]."%'  " : "").	
					" order by h.fechaRegistro desc " . $limit;
					
 
		}
		/*
			$qry = "SELECT h.booking, h.idhbl,  h.referencia referencia_cliente, h.consignee , h.fechaRegistro, h.revision, h.fecha_revision, h.registrado_por, h.shipper agente_aduanal, h.usuario_autorizo, h.fecha_usuario_autorizo, h.historial_autorizacion, h.comentarios, 
					 (SELECT db.referencia_lpv FROM datosbooking db WHERE db.referencia_cliente = h.referencia  limit 1) referencia_puerto, 
					 (SELECT dce.markandnos FROM detailcargaexpint dce WHERE dce.bookingno = h.booking AND dce.markandnos <> '' limit 1) markandnos
					 from hblexpint h " . $where . " order by fechaRegistro desc " . $limit;
		*/
		
		$listado = mysqli_query($link,$qry);
		$list_items = array();

		
		while ($items = mysqli_fetch_assoc($listado)) {
		
			//$items['facturas'] = get_bills($items['booking'] );
			array_push($list_items, $items);
		}
		if (mysqli_num_rows($listado) < 1) {
			echo '<br /><br />No se encontraron registros para su busqueda';
			return;
		}else{
	?>

	<span class="botonExcel">Exportar a Excel</span>
	<form action="reporte_esi_xls.php" method="post" target="_blank" id="FormularioExportacion">
		<input type="hidden" id="datos_a_enviar" name="datos_a_enviar" />
		<input type="hidden" id="titulo" name="titulo" value="REPORTE ESI <?= '<br>FECHA DE IMPRESION: ' . date("Y/m/d") ?>" />
	</form>
	<br />

	<table border = "1" class="frog4" align="left" width="180%" id="exportar"  style="font-family:Arial, Helvetica, sans-serif; font-size:10px">
		<tr style="background: #339966; color: #fff; ">
			<th>Nº</th>
			<th>BOOKING</th>
			<th>ID</th>
			<th>REFERENCIA PUERTO</th>
			<th>REFERENCIA CLIENTE</th>
			<th>MARCAS</th>
			<th>FECHA REGISTRO</th>
			<th>REVISIÓN</th>
			<th>FECHA REVISION</th>
			<th>REGISTRADO POR</th>
			<th>AGENTE ADUANAL</th>
 
			<th>COMENTARIOS</th>
		</tr>
		
		<?php
		$num = 1;
		$cancell = '';
		foreach($list_items as $row): 
			if( $row['status'] == "CANCELADO"){
				$cancell= 'style="color: #870303; text-decoration: line-through;" title="CANCELADO"';
			}else{
				$cancell = '';
			}
		$referencia_puerto=$row['referencia_puerto'];	
		if($row['referencia_puerto']==''){
		$q2=mysqli_query($link,"select referencia_lpv from datosbooking where referencia_cliente like '".$row['referencia_cli']."'");	
		if(mysqli_num_rows($q2)>0){
			$rq2=mysqli_fetch_array($q2);
			$referencia_puerto=$row['referencia_lpv'];
		}
		}
		?>
		<tr <?php echo $cancell; ?> >
			<td><?php echo $num; ?></td>
			<td><a class="ANCLA" href="../registro_manifiesto.php?id=<?=$row['idhbl']?>&id_bl=<?=$row['idhbl']?>&bookingno=<?= $row['booking']?>"
            target="_self"><?= $row['booking']?></a></td>
			<td><?php echo $row['idhbl']; ?></td>
			<td><?php echo $referencia_puerto; ?></td>
			<td><?php echo $row['referencia_cli']; ?></td>
			<td><?php echo $row['markandnos']; ?></td>
			<td><?php echo $row['fechaRegistro']; ?></td>
			<td><?php echo $row['revision']; ?></td>
			<td><?php echo $row['fecha_revision']; ?></td>
			<td><?php echo $row['registrado_por']; ?></td>
			<td><?php echo $row['agente_aduanal']; /*$row['agente_aduanal'];*/  ?></td>
			  
			<td>
				<?php echo $row['comentarios']; ?> 
			</td>
		</tr>
		<?php 
		$num++;
		endforeach; 
		?>
	</table>

	<?php 
		} // end else Si hay registros
	 } // end if $_POST
	 ?>

	<? mysqli_close($ll); 
}?>
